package com.iamberry.app.core.entity;

import org.springframework.beans.factory.annotation.Qualifier;

/**
 * @author Sikandar
 * @ali@tronsis.com
 */
@Qualifier("shared_machine")
public class SharedMachine implements IEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -391442034157294331L;
	private Long id;
	private Long user;
	private Long machine;

	public SharedMachine() {

	}

	public SharedMachine(Long id, Long user, Long machine) {
		super();
		this.id = id;
		this.user = user;
		this.machine = machine;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getUser() {
		return user;
	}

	public void setUser(Long user) {
		this.user = user;
	}

	public Long getMachine() {
		return machine;
	}

	public void setMachine(Long machine) {
		this.machine = machine;
	}

}
